Bug 1536524 - [RFE][M-5] Need a way to change adv config settings on other appliances via the UI
Summary: [RFE][M-5] Need a way to change adv config settings on other appliances via t...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: All
OS: All
high
high
Target Milestone: MVP
: 5.10.0
Assignee: Harpreet Kataria
QA Contact: Tasos Papaioannou
URL:
Whiteboard:
: 1459525 (view as bug list)
Depends On:
Blocks: 1555371 1590042
TreeView+ depends on / blocked
 
Reported: 2018-01-19 15:12 UTC by Josh Carter
Modified: 2019-02-07 23:01 UTC (History)
9 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:00:57 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:01:10 UTC

Description Josh Carter 2018-01-19 15:12:45 UTC
1. Proposed title of this feature request

Need a way to change adv config settings on other appliances via the UI

2. Who is the customer behind the request?

Currently the only way to change adv config settings on other appliances is to go directly to that appliance's UI and login then make the change. Since this can be troublesome as some customers dont always run the UI it would be nice to make adv config changes from a single UI appliance. 

Account: name and acct # Red Hat Support



3. What is the nature and description of the request?




4. Why does the customer need this? (List the business requirements here)




5. How would the customer like to achieve this? (List the functional requirements here)




6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.




7. Is there already an existing RFE upstream or in Red Hat Bugzilla?




8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?




9. Is the sales team involved in this request and do they have any additional input?




10. List any affected packages or components.




11. Would the customer be able to assist in testing this functionality if implemented?

Comment 5 CFME Bot 2018-05-17 15:31:24 UTC
New commit detected on ManageIQ/manageiq/master:

https://github.com/ManageIQ/manageiq/commit/91b79962a53f50f2743027e8d8a882a1d6b2f0de
commit 91b79962a53f50f2743027e8d8a882a1d6b2f0de
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Thu May 10 13:59:37 2018 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Thu May 10 13:59:37 2018 -0400

    Changed get_file method to receive a resource as parameter.

    This change returns settings for passed in resource region/zone/server.

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1536524

 lib/vmdb/config.rb | 4 +-
 spec/lib/vmdb/config_spec.rb | 48 +-
 2 files changed, 45 insertions(+), 7 deletions(-)

Comment 6 Satoe Imaishi 2018-05-18 17:50:13 UTC
Moving back to ON_DEV as the ui-classic PR isn't merged yet.

Comment 7 CFME Bot 2018-05-21 08:43:10 UTC
New commits detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/39f0e57feae9576765f2091971d919bbe420f4c8
commit 39f0e57feae9576765f2091971d919bbe420f4c8
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Thu May 10 14:07:40 2018 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Thu May 10 14:07:40 2018 -0400

    Made "Advanced" tab visible for all Server nodes.

    Allow edit of advanced config setting for all servers. Made changes so this code can be used to edit Zone/Region config settings in future.

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1536524

 app/controllers/ops_controller/settings/common.rb | 46 +-
 app/views/ops/_all_tabs.html.haml | 8 +-
 2 files changed, 31 insertions(+), 23 deletions(-)


https://github.com/ManageIQ/manageiq-ui-classic/commit/8e27e8b455c9d3fe71041c86bc71604e30c0d019
commit 8e27e8b455c9d3fe71041c86bc71604e30c0d019
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Fri May 11 12:21:53 2018 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Fri May 11 12:21:53 2018 -0400

    spec test for get/save advanced config settings

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1536524

 spec/controllers/ops_controller/settings/common_spec.rb | 68 +-
 1 file changed, 62 insertions(+), 6 deletions(-)

Comment 8 Josh Carter 2018-07-05 15:09:41 UTC
*** Bug 1459525 has been marked as a duplicate of this bug. ***

Comment 9 Tasos Papaioannou 2018-07-11 20:14:40 UTC
Verified on 5.10.0.3.

Comment 10 errata-xmlrpc 2019-02-07 23:00:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.